CONVERTDB.PY(1)

NAME
ConvertDb.py - Repertoire clonal assignment toolkit (Python 3)

DESCRIPTION
usage: ConvertDb.py [--version] [-h] ...

Parses tab delimited database files

  help:

--version
    show program's version number and exit

-h, --help
    show this help message and exit

  subcommands:

    Database operation

airr
    Converts input to an AIRR TSV file.

changeo
    Converts input into a Change-O TSV file.

fasta
    Creates a fasta file from database records.

baseline
    Creates a specially formatted fasta file from database records for input into the BASELINe website. The format groups clonally related sequences sequentially, with the germline sequence preceding each clone and denoted by headers starting with ">>".

genbank
    Creates files for GenBank/TLS submissions.

  output files:

    airr

    AIRR formatted database files.

    changeo

    Change-O formatted database files.

    sequences

    FASTA formatted sequences output from the subcommands fasta and clip.

    genbank

    feature tables and fasta files containing MiAIRR compliant input for tbl2asn.

  required fields:

    sequence_id, sequence, sequence_alignment, junction, v_call, d_call, j_call, v_germline_start, v_germline_end, v_sequence_start, v_sequence_end, d_sequence_start, d_sequence_end, j_sequence_start, j_sequence_end

  optional fields:

    germline_alignment, c_call, clone_id

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.